#### D.2.12.1 changechar

Procedure from library `ring.lib` (see ring_lib).

Usage:
  changechar(c[,r]); c=list, r=ring

Return:
  ring R, obtained from the ring r [default: r=basering], by changing ring_list(r)[1] to c.

Example:

    LIB "ring.lib";
    ring rr=2,A,dp;
    ring r=0,(x,y,u,v),(dp(2),ds);
    def R=changechar(ringlist(rr)); R;"";
    ==> // coefficients: ZZ/2(A) considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y
    ==> //        block   2 : ordering ds
    ==> //                  : names    u v
    ==> //        block   3 : ordering C
    ==>
    def R1=changechar(32003,R); setring R1; R1;
    ==> // coefficients: ZZ/32003 considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y
    ==> //        block   2 : ordering ds
    ==> //                  : names    u v
    ==> //        block   3 : ordering C
    kill R,R1;

User manual for Singular version 4.4.1, 2025, generated by texi2html.